/*
S-Monitor  a very simpel serial/USB monitor
Copyright (C) 2017  Christoph Mayer <feanors_fluch@web.de>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.
If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
*/

//S-Monitor
//config.h

#ifndef CONFIG_H
#define CONFIG_H

#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/types.h>

#include "meinzeug.h"

typedef struct{
  char port_type;
  short int port_no;
  int baudrate;
  char databits;
  char parity;
  char stopbits;
  int delay;
}configuration;

int newConfig();
int saveConfig(configuration *toSave);
int readConfig(configuration *toRead);

#endif
