/*
Things that I freuquently need.
Copyright (C) 2017  Christoph Mayer <feanors_fluch@web.de>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.
If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
*/

//meinzeug.c

#include "meinzeug.h"

void muelleimer(){ //flushes stdin
	int c;
  while( ((c = getchar()) != EOF) && (c != '\n') );
}

int lgetch(){ //feels like Windows...
  static int ch = -1, fd = 0;
  struct termios neu, alt;
  fd = fileno(stdin);
  tcgetattr(fd, &alt);
  neu = alt;
  neu.c_lflag &= ~(ICANON|ECHO);
  tcsetattr(fd, TCSANOW, &neu);
  ch = getchar();
  tcsetattr(fd, TCSANOW, &alt);
  return ch;
}

void gotoxy(int x,int y){ //move cursor
  printf("%c[%d;%df",0x1B,y,x);
}

void cls(){ //clearscreen, inspired by DOS
	printf("\033[2J\033[1;1H\033[m");
}

int zeigeCursor(char zeige){ // show or hide cursor
	if(zeige==0){
		printf("\e[?25l");
		return 0;
	}
	else if(zeige==1){
		printf("\e[?25h");
		return 0;
	}
	else return -1;
}

long long int dateiGroesse(FILE *datei){ //get filesize
  long long int position=0,groesse=0;
  position=ftell(datei);
  rewind(datei);
  while(fgetc(datei)!=EOF) groesse++;
  fseek(datei,position,SEEK_SET);
  return groesse;
}
